Bug 96110 - [chromium] gradient-with-scaled-ancestor.html rebaseline
Summary: [chromium] gradient-with-scaled-ancestor.html rebaseline
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-07 08:04 PDT by alexst
Modified: 2012-09-11 14:48 PDT (History)
3 users (show)

See Also:


Attachments
Patch (217.58 KB, patch)
2012-09-07 08:08 PDT, alexst
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alexst 2012-09-07 08:04:30 PDT
Fixed https://bugs.webkit.org/show_bug.cgi?id=95847 to properly set the device scale factor.

Need to rebaseline.
Comment 1 alexst 2012-09-07 08:08:37 PDT
Created attachment 162774 [details]
Patch
Comment 2 Adrienne Walker 2012-09-10 10:26:50 PDT
Why are there cross-platform results here? Is it just the scrollbars? If so, can you just add a body { overflow: hidden } property on the test so you just need one result?
Comment 3 alexst 2012-09-10 11:22:36 PDT
(In reply to comment #2)
> Why are there cross-platform results here? Is it just the scrollbars? If so, can you just add a body { overflow: hidden } property on the test so you just need one result?

Looking at garden-o-matic, Windows version has a difference from mac in the gradient itself, but Linux and Mac only differ by scroll bars.

Hidden overflow sounds like a reasonable change, but it's not my test, so we'll probably need to run it by the author since it'll break the mac baseline as well. I can do it if you think it's worth pursuing.
Comment 4 Adrienne Walker 2012-09-10 11:46:48 PDT
Comment on attachment 162774 [details]
Patch

(In reply to comment #3)
> (In reply to comment #2)
> > Why are there cross-platform results here? Is it just the scrollbars? If so, can you just add a body { overflow: hidden } property on the test so you just need one result?
> 
> Looking at garden-o-matic, Windows version has a difference from mac in the gradient itself, but Linux and Mac only differ by scroll bars.
> 
> Hidden overflow sounds like a reasonable change, but it's not my test, so we'll probably need to run it by the author since it'll break the mac baseline as well. I can do it if you think it's worth pursuing.

Yuck.  I'm confused why Windows has a difference in the gradient, since they should both be using Skia.

At any rate, I'll R+ this patch so it can land.  No need to hold up getting a test rebaselined.
Comment 5 WebKit Review Bot 2012-09-10 12:13:33 PDT
Comment on attachment 162774 [details]
Patch

Clearing flags on attachment: 162774

Committed r128090: <http://trac.webkit.org/changeset/128090>
Comment 6 WebKit Review Bot 2012-09-10 12:13:36 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Adam Klein 2012-09-11 14:19:48 PDT
We're seeing a weird release/debug difference on Win: http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=fast%2Fhidpi%2Fgradient-with-scaled-ancestor.html

The difference seems to be entirely in the scrollbars: in debug, the background is green, while it's black in release. Is this some known issue? As it is right now, there's no expected result that'll satisfy both the debug and release builds (I caused the release to pass and debug to fail in http://trac.webkit.org/changeset/128216)
Comment 8 alexst 2012-09-11 14:48:56 PDT
(In reply to comment #7)
> We're seeing a weird release/debug difference on Win: http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=fast%2Fhidpi%2Fgradient-with-scaled-ancestor.html
> 
> The difference seems to be entirely in the scrollbars: in debug, the background is green, while it's black in release. Is this some known issue? As it is right now, there's no expected result that'll satisfy both the debug and release builds (I caused the release to pass and debug to fail in http://trac.webkit.org/changeset/128216)

It's not a known issue as far as I am aware. My rebaseline only dealt with the size of the image, not the contents.